//
//  ViewController.swift
//  ShareMe
//
//  Created by Jean Barottin on 23/01/2018.
//  Copyright © 2018 com.JBaPhonex. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    @IBAction func didTapShareButton() {
        let copyText: String = ui_textView.text
        if copyText.count > 0 {
            errorLabel.isHidden = true
            let shareView = UIActivityViewController(activityItems: [copyText], applicationActivities: nil)
            present(shareView, animated: true, completion: nil)
            
        } else {
            errorLabel.isHidden = false
        }
        
    }
    @IBOutlet weak var ui_textView: UITextView!
    @IBOutlet weak var errorLabel: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        errorLabel.isHidden = true
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

